/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: RubberBand.h,v $
$Revision: 1.2 $
$Date: 1997/07/02 04:44:54 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: RubberBand.h,v $
Revision 1.2  1997/07/02 04:44:54  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.1  1997/03/18 06:50:59  andrewm
Checkpoint.  Mouse select, insert, and delete working.
Some changes to improve robustness in the face of an arbitrary input file.

 *--
 */
#ifndef _RubberBand_h_
#define _RubberBand_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include "Geom2d.h"
#include <X11/Xlib.h>

/*
MACRO DEFINITIONS
*/

/*
CLASS FORWARD REFERENCES
*/

/*
CLASS DEFINITIONS
*/

class RubberBand
{
public:
	RubberBand() ;
	~RubberBand() ;
	void start_banding(const Point& origin) ;
	void new_band(const Point& corner) ;
	void stop_banding(const Point& corner) ;
	const Rectangle& rect() { return _band ; }

private:
	void define_cursor(Cursor cursor) ;
	void new_banding_box(const Point& corner) ;

private:
	Cursor _banding_cursor ;
	Point _origin ;
	Rectangle _band ;
} ;


#endif /* _RubberBand_h_ */
