/*
 *++
COPYRIGHT:
This file is part of the GSM Suite, a set of programs for
manipulating state machines in a graphical fashion.
Copyright (C) 1996, 1997  G. Andrew Mangogna.

LICENSE:
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the
Free Software Foundation, Inc.,
59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

MODULE:

$RCSfile: GsmApplication.h,v $
$Revision: 1.4 $
$Date: 1997/07/02 04:45:05 $

ABSTRACT:

CONDITIONAL COMPILATION:

MODIFICATION HISTORY:
$Log: GsmApplication.h,v $
Revision 1.4  1997/07/02 04:45:05  andrewm
Added copyright and license notices to the tops of the files.

Revision 1.3  1997/03/04 06:32:52  andrewm
Another check point.  The editor can draw output from files.
The crashing during the dtor for MachineGroup is fixed.

Revision 1.2  1996/09/22 01:47:02  andrewm
pre-alpha release

 * Revision 1.1  1996/07/15  01:22:32  andrewm
 * Initial revision
 *
 * Revision 1.1  1996/07/15  01:22:32  andrewm
 * Initial revision
 *
 *--
 */
#ifndef GsmApplication_h_
#define GsmApplication_h_

/*
PRAGMAS
*/
#ifdef __GNUG__
#	pragma interface
#endif /* __GNUG__ */

/*
INCLUDE FILES
*/
#include "Application.h"

/*
MACRO DEFINITIONS
*/

/*
CLASS DEFINITIONS
*/

class GsmApplication :
	public Application
{
public:
	virtual const char *className() const { return "Gsmedit" ; }

protected:
	virtual void template_get_appl_resources() ;
	virtual void template_realize() ;
	virtual MainWindow *template_create_main_window(
		const char *name, Application *parent) ;
	virtual Document *template_create_document() ;

} ;


#endif /* GsmApplication_h_ */
